#item fix

execute @a ~ ~ ~ scoreboard players tag @a add fix2
execute @a ~ ~ ~ scoreboard players tag @a remove fix2 {Inventory:[{Slot:0b,id:"minecraft:carrot_on_a_stick"}]}
execute @a[tag=fix2] ~ ~ ~ clear @p minecraft:carrot_on_a_stick
execute @a ~ ~ ~ replaceitem entity @a[tag=fix2] slot.hotbar.0 minecraft:carrot_on_a_stick 1 2 {HideFlags:4,Unbreakable:1,display:{Name:"-=Freeze=-"}}
scoreboard players tag @e[type=Item] add shard {Item:{id:"minecraft:prismarine_shard"}}
kill @e[type=Item,tag=!shard]

#freeze

execute @p[score_click_min=1,score_click=1,tag=!stop] ~ ~ ~ playsound minecraft:block.stone.place master @p ~ ~ ~ 10000 0
execute @p[score_click_min=1,score_click=1] ~ ~ ~ scoreboard players tag @e add stop
execute @p[score_click_min=1,score_click=1] ~ ~ ~ replaceitem entity @p slot.armor.head minecraft:pumpkin

execute @p[score_click_min=2] ~ ~ ~ playsound minecraft:block.glass.break master @p ~ ~ ~ 10000 0
execute @p[score_click_min=2] ~ ~ ~ replaceitem entity @p slot.armor.head minecraft:air
execute @p[score_click_min=2] ~ ~ ~ scoreboard players tag @e remove stop
execute @p[score_click_min=2] ~ ~ ~ scoreboard players reset @p click


#checkpoint

execute @p ~ ~ ~ detect ~ ~-1 ~ minecraft:gold_block 0 tp @e[name=cp] @p
execute @e[name=cp] ~ ~0.2 ~ particle happyVillager ~ ~ ~ 1 1 1 2 1
execute @p ~ ~ ~ detect ~ ~ ~ water -1 scoreboard players reset @e switchertimer
execute @p ~ ~ ~ detect ~ ~ ~ water -1 tp @p @e[name=cp]


#platforms

scoreboard players add @e[name=platformgen,tag=!stop] platformtimer 1
execute @e[name=platformgen,tag=!stop,score_platformtimer_min=75,score_platformtimer=75] ~ ~ ~ summon armor_stand ~ ~-0.5 ~ {CustomName:"platform",Marker:1b,Invisible:1,Invulnerable:1,NoBasePlate:1,PersistenceRequired:1,DisabledSlots:2039583,NoGravity:1b,Passengers:[{id:Shulker,Tags:["platformsh"],AttachFace:0,Invulnerable:1,PersistenceRequired:1,NoAI:1,Silent:1,NoGravity:1b}]}
scoreboard players reset @e[name=platformgen,tag=!stop,score_platformtimer_min=75] platformtimer

tp @e[name=platform,tag=!stop] ~-0.2 ~ ~
execute @e[name=platform,tag=!stop] ~0.3 ~0.5 ~ particle endRod ~ ~ ~ 0 0 0 0.01 1

execute @e[type=Shulker] ~ ~ ~ detect ~ ~ ~ minecraft:dispenser 5 scoreboard players tag @e[tag=!Player,c=1] add killmepls
execute @e[tag=killmepls] ~ ~ ~ scoreboard players tag @e[name=platform,c=1,r=1] add killmepls
execute @e[tag=killmepls] ~ ~ ~ tp @e[tag=killmepls] ~ ~-100 ~
execute @e[tag=killmepls] ~ ~ ~ kill @e[tag=killmepls]
scoreboard players add @e[type=Shulker,tag=!stop] plskillme 1
kill @e[score_plskillme_min=1000]


#switchers

	#white1
	execute @e[name=switcher,tag=white] ~ ~ ~ scoreboard players add @e[name=switcher,tag=!stop,c=1] switchertimer 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=white,r=30,score_switchertimer_min=1,score_switchertimer=30] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:stained_hardened_clay 0 replace air
	execute @p ~ ~ ~ execute @e[name=switcher,r=30,tag=white,score_switchertimer_min=30,score_switchertimer=60] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:air 0
	scoreboard players reset @e[name=switcher,tag=white,score_switchertimer_min=60] switchertimer
	execute @p ~ ~ ~ execute @e[name=switcher,tag=white,r=20] ~ ~0.5 ~-1 particle endRod ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=white,r=20] ~ ~0.5 ~1 particle endRod ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=white,r=20] ~ ~1.5 ~ particle endRod ~ ~ ~ 0 0 0.5 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=white,r=20] ~ ~-0.5 ~ particle endRod ~ ~ ~ 0 0 0.5 0 1
	
	#white2
	execute @e[name=switcher2,tag=white] ~ ~ ~ scoreboard players add @e[name=switcher2,tag=!stop,c=1] switchertimer 1
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,score_switchertimer_min=1,score_switchertimer=30,r=30] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:air 0 replace stained_hardened_clay
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,score_switchertimer_min=30,score_switchertimer=60,r=30] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:stained_hardened_clay 0
	scoreboard players reset @e[name=switcher2,tag=white,score_switchertimer_min=60] switchertimer
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,r=20] ~ ~0.5 ~-1 particle endRod ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,r=20] ~ ~0.5 ~1 particle endRod ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,r=20] ~ ~1.5 ~ particle endRod ~ ~ ~ 0 0 0.5 0 1
	execute @p ~ ~ ~ execute @e[name=switcher2,tag=white,r=20] ~ ~-0.5 ~ particle endRod ~ ~ ~ 0 0 0.5 0 1
	
	#red
	execute @e[name=switcher,tag=red] ~ ~ ~ scoreboard players add @e[name=switcher,c=1] switchertimer 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=red,r=30,score_switchertimer_min=1,score_switchertimer=30] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:air 0 replace stained_hardened_clay
	execute @p ~ ~ ~ execute @e[name=switcher,r=30,tag=red,score_switchertimer_min=30,score_switchertimer=60] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:stained_hardened_clay 14
	scoreboard players reset @e[name=switcher,tag=red,score_switchertimer_min=60] switchertimer
	execute @p ~ ~ ~ execute @e[name=switcher,tag=red,r=20] ~ ~0.5 ~-1 particle flame ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=red,r=20] ~ ~0.5 ~1 particle flame ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=red,r=20] ~ ~1.5 ~ particle flame ~ ~ ~ 0 0 0.5 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=red,r=20] ~ ~-0.5 ~ particle flame ~ ~ ~ 0 0 0.5 0 1
	
	#blue
	execute @e[name=switcher,tag=blue] ~ ~ ~ scoreboard players add @e[name=switcher,c=1] switchertimer 1
	execute @p ~ ~ ~ execute @e[name=switcher,r=30,tag=blue,score_switchertimer_min=1,score_switchertimer=30] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:stained_hardened_clay 11
	execute @p ~ ~ ~ execute @e[name=switcher,r=30,tag=blue,score_switchertimer_min=30,score_switchertimer=60] ~ ~ ~ fill ~ ~-1 ~-1 ~ ~1 ~1 minecraft:air 0 replace stained_hardened_clay
	scoreboard players reset @e[name=switcher,tag=blue,score_switchertimer_min=60] switchertimer
	execute @p ~ ~ ~ execute @e[name=switcher,tag=blue,r=20] ~ ~0.5 ~-1 particle magicCrit ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=blue,r=20] ~ ~0.5 ~1 particle magicCrit ~ ~ ~ 0 0.5 0 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=blue,r=20] ~ ~1.5 ~ particle magicCrit ~ ~ ~ 0 0 0.5 0 1
	execute @p ~ ~ ~ execute @e[name=switcher,tag=blue,r=20] ~ ~-0.5 ~ particle magicCrit ~ ~ ~ 0 0 0.5 0 1
	
#levels
	#load_1
		execute @p[tag=load1] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load1] ~ ~ ~ tp @p 211 17 18 270 0
		execute @p[tag=load1] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 146 18 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 138 18 18 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 112 19 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 101 16 18 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 95 16 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 80 14 18 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 58 18 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 53 20 18 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 46 20 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~ summon armor_stand 46 24 18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load1] ~ ~ ~	scoreboard players reset @e switchertimer
		execute @p[tag=load1] ~ ~ ~ scoreboard players tag @p remove load1
		
	#load2
		execute @p[tag=load2] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load2] ~ ~ ~ tp @p 211 16 6 270 0
		execute @p[tag=load2] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 203 15 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 197 15 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 191 15 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 174 15 6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 168 15 6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 162 15 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 156 15 6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 145 16 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 134 22 6 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 131 18 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 128 22 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 120 22 6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 117 18 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 81 19 4 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 66 22 6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 64 18 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 61 22 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 53 22 6 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 50 18 6 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~ summon armor_stand 47 22 6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load2] ~ ~ ~	scoreboard players reset @e switchertimer
		execute @p[tag=load2] ~ ~ ~ scoreboard players tag @p remove load2
		
	#load3
		execute @p[tag=load3] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load3] ~ ~ ~ tp @p 211 20 -6 270 0
		execute @p[tag=load3] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 203 18 -6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 197 18 -6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 191 18 -6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 185 18 -6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 179 18 -6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 169 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 169 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 169 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 153 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 153 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 153 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 147 21 -6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 141 21 -6 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 123 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 123 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 123 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 117 19 -6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 111 19 -6 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 105 19 -6 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 99 19 -6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 93 19 -6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 124 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 124 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 124 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 82 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 82 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 82 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 83 18.5 -7 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 83 18.5 -6 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 83 18.5 -5 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 64 21 -3 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 64 21 -9 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ summon armor_stand 58 14 -6 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load3] ~ ~ ~ scoreboard players reset @e switchertimer
		execute @p[tag=load3] ~ ~ ~ scoreboard players tag @p remove load3
		
	#load4
		execute @p[tag=load4] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load4] ~ ~ ~ tp @p 38 13 -18 90 0
		execute @p[tag=load4] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 52 11 -18 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 54 11.5 -19 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 54 11.5 -18 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 54 11.5 -17 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 71 10 -15 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 76 11.5 -21 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 76 11.5 -20 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 76 11.5 -16 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 76 11.5 -15 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 94 8 -20 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 94 8 -16 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 102 11.5 -21 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 102 11.5 -20 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 102 11.5 -16 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 102 11.5 -15 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 112 6 -18 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 116 6 -18 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 120 6 -18 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 124 6 -18 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 128 6 -18 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 132 6 -18 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 11.5 -19 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 10.5 -19 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 9.5 -19 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 11.5 -18 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 10.5 -18 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 9.5 -18 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 11.5 -17 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 10.5 -17 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 141 9.5 -17 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 155 14 -15 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 161 17 -15 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 176 4 -21 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 180 9 -21 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 188 9 -21 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 188 9 -15 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 188 14 -15 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 202 8 -18 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ summon armor_stand 202 11 -18 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load4] ~ ~ ~ scoreboard players reset @e switchertimer
		execute @p[tag=load4] ~ ~ ~ scoreboard players tag @p remove load4
		
	#load5
		execute @p[tag=load5] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load5] ~ ~ ~ tp @p 210 12 -30 270 0
		execute @p[tag=load5] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 208 10.5 -33 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 208 10.5 -32 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 208 10.5 -28 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 208 10.5 -27 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 180 13 -33 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 176 13 -33 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 172 13 -27 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 168 13 -27 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 180 13 -27 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 176 13 -27 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 172 13 -33 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 168 13 -33 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 149 12 -30 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 145 18 -30 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 142 12 -30 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 136 11 -30 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 130 10 -30 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 127 16 -30 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 124 10 -30 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 121 16 -30 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -33 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -33 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -32 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -32 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -31 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -31 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -30 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -30 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -29 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -29 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -28 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -28 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 115 10.5 -27 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 114 10.5 -27 {CustomName:"platformgen",NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 101 13 -27 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 101 13 -33 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 98 13 -30 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 92 13 -30 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 80 13 -27 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 76 13 -27 {CustomName:"switcher",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 80 13 -33 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 76 13 -33 {CustomName:"switcher2",Tags:["white"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 66 13 -33 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 59 13 -33 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 51 9 -33 {CustomName:"switcher",Tags:["red"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ summon armor_stand 47 9 -33 {CustomName:"switcher",Tags:["blue"],NoGravity:1b,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load5] ~ ~ ~ scoreboard players reset @e switchertimer
		execute @p[tag=load5] ~ ~ ~ scoreboard players tag @p remove load5
		
	#load0
		execute @p[tag=load0] ~ ~ ~ kill @e[type=!Player]
		execute @p[tag=load0] ~ ~ ~ tp @p 8 11 -6 270 0
		execute @p[tag=load0] ~ ~ ~ summon armor_stand ~ ~ ~ {CustomName:"cp",NoGravity:1b,Small:1,Marker:1b,Invisible:1,Invulnerable:1,PersistenceRequired:1,DisabledSlots:2039583}
		execute @p[tag=load0] ~ ~ ~ summon villager 12 11 20 {CustomName:"Shop [keys]",CustomNameVisible:1,NoGravity:1b,Profession:1,CareerLevel:10000,Offers:{Recipes:[{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:5b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:name_tag",Count:1b,tag:{display:{Name:"unlock world 2",Lore:["put this key into the lock to open world 2!"]}}}},{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:10b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:name_tag",Count:1b,tag:{display:{Name:"unlock world 3",Lore:["put this key into the lock to open world 3!"]}}}},{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:20b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:name_tag",Count:1b,tag:{display:{Name:"unlock world 4",Lore:["put this key into the lock to open world 4!"]}}}},{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:30b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:name_tag",Count:1b,tag:{display:{Name:"unlock world 5",Lore:["put this key into the lock to open world 5!"]}}}}]},Invulnerable:1,PersistenceRequired:1,NoAI:1}
		execute @p[tag=load0] ~ ~ ~ summon villager 11 11 15 {CustomName:"Shop [items]",CustomNameVisible:1,NoGravity:1b,Profession:3,CareerLevel:10000,Offers:{Recipes:[{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:5b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:gold_block",Count:1b,tag:{CanPlaceOn:["minecraft:stonebrick"],display:{Name:"placeable checkpoint",Lore:["You can place this extra-checkpoint on stonebricks."]}}}},{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:3b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:egg",Count:1b,tag:{display:{Name:"Drainer",Lore:["drains water around you for 10 seconds."]}}}},{rewardExp:0b,maxUses:2147483647,uses:0,buy:{id:"minecraft:prismarine_shard",Count:2b,tag:{display:{Name:"Time Shard",Lore:["A magical piece of time that can be sold."]}}},sell:{id:"minecraft:snowball",Count:1b,tag:{display:{Name:"Bonusboost",Lore:["right click to get a short boost into the air."]}}}}]},Invulnerable:1,PersistenceRequired:1,NoAI:1}
		execute @p[tag=load0] ~ ~ ~ tp @e[type=villager] ~ ~ ~ -90 0
		execute @p[tag=load0] ~ ~ ~ scoreboard players reset @e switchertimer
		execute @p[tag=load0] ~ ~ ~ scoreboard players tag @p remove load0
		
#other
	#settings
	weather clear
	time set day
	clear @p minecraft:pumpkin_seeds
	
	#init
	tp @a[tag=!init] 8 11 -6 270 0
	scoreboard players tag @a[tag=!init] add load0
	scoreboard players tag @a[tag=!init] add init
	
	#effects
	effect @p minecraft:saturation 10000 100 true
	effect @p minecraft:resistance 10000 100 true
	effect @p minecraft:jump_boost 10000 2 true
	
	execute @p ~ ~ ~ detect ~ ~-1 ~ minecraft:stained_hardened_clay 3 effect @p 1 1 2 true
	execute @p ~ ~ ~ detect ~ ~-1 ~ minecraft:stained_hardened_clay 3 particle snowballpoof ~ ~ ~ 0 0 0 1 1
	#Player
	scoreboard players tag @a add Player
	
	#ladders
	fill 154 13 -15 154 15 -15 minecraft:ladder 4
	fill 160 16 -15 160 18 -15 minecraft:ladder 4
	fill 179 8 -21 179 10 -21 minecraft:ladder 4
	fill 187 8 -21 187 10 -21 minecraft:ladder 4
	fill 187 8 -15 187 10 -15 minecraft:ladder 4
	fill 187 13 -15 187 15 -15 minecraft:ladder 4
	
	#drainer
	execute @p[score_drainer_min=1] ~ ~ ~ playsound minecraft:block.grass.place master @p ~ ~ ~ 10000 0
	execute @p[score_drainer_min=1] ~ ~ ~ scoreboard players add @p draintimer 1
	execute @p[score_draintimer_min=1,score_draintimer=200] ~ ~ ~ fill ~-3 ~ ~-3 ~3 ~5 ~3 minecraft:air 0 replace water
	execute @p[score_draintimer_min=1,score_draintimer=200] ~ ~ ~ fill ~-3 ~ ~-3 ~3 ~5 ~3 minecraft:air 0 replace water
	execute @p[score_draintimer_min=200] ~ ~ ~ scoreboard players reset @p drainer
	execute @p[score_draintimer_min=200] ~ ~ ~ scoreboard players reset @p draintimer
	kill @e[type=Egg]
	kill @e[type=Chicken]
	
	fill 55 26 20 55 26 16 minecraft:water 0 replace air
	fill 130 22 16 130 22 20 minecraft:water 0 replace air
	
	fill 93 26 7 93 26 1 minecraft:water 0 replace air
	fill 87 26 7 87 26 1 minecraft:water 0 replace air
	fill 87 26 1 93 26 1 minecraft:water 0 replace air
	fill 81 26 11 81 26 5 minecraft:water 0 replace air
	
	fill 145 20 -25 144 20 -34 minecraft:water 0 replace air
	fill 139 20 -28 139 20 -35 minecraft:water 0 replace air
	fill 133 20 -25 133 20 -32 minecraft:water 0 replace air
	fill 127 20 -25 127 20 -35 minecraft:water 0 replace air
	fill 121 20 -25 121 20 -35 minecraft:water 0 replace air
	fill 86 20 -30 74 20 -30 minecraft:water 0 replace air
	fill 70 20 -30 58 20 -30 minecraft:water 0 replace air
	
	#Bonusboost
	execute @p[score_Bonusboost_min=1] ~ ~ ~ scoreboard players add @p Bonusboosttimer 1
	execute @p[score_Bonusboosttimer_min=1,score_Bonusboosttimer=1] ~ ~ ~ effect @p minecraft:levitation 1 50 true
	execute @p[score_Bonusboosttimer_min=1,score_Bonusboosttimer=1] ~ ~ ~ playsound minecraft:block.piston.extend master @p ~ ~ ~ 10000 0
	execute @p[score_Bonusboosttimer_min=1,score_Bonusboosttimer=1] ~ ~-0.5 ~ particle hugeexplosion ~ ~ ~ 0 0 0 1 1
	execute @p[score_Bonusboosttimer_min=3,score_Bonusboosttimer=3] ~ ~ ~ effect @p minecraft:levitation 0
	execute @p[score_Bonusboosttimer_min=3,score_Bonusboosttimer=3] ~ ~ ~ scoreboard players reset @p Bonusboost
	execute @p[score_Bonusboosttimer_min=3,score_Bonusboosttimer=3] ~ ~ ~ scoreboard players reset @p Bonusboosttimer
	